import * as __WEBPACK_EXTERNAL_MODULE_antd_style__ from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      display: flex;\n      flex-direction: row;\n      justify-content: center;\n      align-items: center;\n      gap: 10px;\n      width: fit-content;\n      padding: 10px;\n      cursor: pointer;\n\n      &.layout {\n        flex-direction: column;\n      }\n      :hover {\n        border-radius: 10px;\n        transform: scale(1.05);\n        transition: all 0.3s;\n      }\n\n      &.need-hover:hover {\n        background-color: var(--colorPrimaryText);\n      }\n\n      .icon-wrapper {\n        padding: 20px;\n        border-radius: 40%;\n        .icon {\n          padding: 10px;\n          border-radius: 50%;\n          background-color: #ffffff;\n          font-size: 20px;\n        }\n      }\n\n      .title {\n        flex: 1;\n        display: inline-block;\n        font-size: 16px;\n        color: #2f2f2f;\n        overflow: hidden;\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE_antd_style__.createStyles)((param)=>{
    let { css, token } = param;
    return {
        mediaCardStyle: css(_templateObject())
    };
});
export { useStyles };
